TAAS - Feature #407

Corporate Enquiry
11/05/2024 12:47 PM - Bertin Joseph

Status: New Changes Coding Done Start date: 11/05/2024
Priority: Normal Due date:

Assignee: Swarag Cm % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Corporate Own Enquiry

Description

History

#1 - 11/05/2024 12:48 PM - Bertin Joseph

=> Corporate Enquiry

GUI Same as Enquiry Module.

Changes:

Remove Customer
Add New Tab "Note". Place Corporate Document Note Sharable Grid Ul.

#2 - 11/05/2024 03:33 PM - Junaid M

- Assignee changed from travvise Admin to Swarag Cm

#3 - 11/13/2024 10:34 AM - Swarag Cm
- Status changed from New to Coding Started
- % Done changed from 0 to 30

#4 - 11/13/2024 12:37 PM - Swarag Cm
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#5 - 11/14/2024 02:43 PM - Arathy PS
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND

1. Missing field of cancel reason in the additional info tab when status is changed to cancelled.
2. Asking for valid to date even though the date added in to date field is after from date.

NEW CHANGES DONE

1. Modify Status to

New Request
Processing From Agency
Quotation Submitted From Agency
Confirmed
Issued/Sold
Canceled the Quotation (Enter Additional info --> Reason)

2. When package service is selected a new tab near general tab with field: package.
In Db Added Field 'fk_package_master_id'. Update Stored procedure and model

3. Add 'responsible staff'in place of responsible user and remove other options.

4. Add a restore check box in the add pop up same as sale-ticket/voucher pop ups
(for work flow ask junaid)

5. Add a copy button at the side.

6. Pax profile autocomplete only load

Pax profile --> System --> Main account == Login Corporate Account

7. Add attachment button.

8. When other service is selected add a new tab near general tab with field: service provider (not mandatory).

9. Add a new tab custom data (similar to ticket issue)
Logic similar to pax profile ---> if it is a party then the cost centers showing should be of corresponding party
and if it is corporate then it should be of the corporate that is logged in.

10. Rename Module name tp "Corporate Enquiry/Request".
11. In master --> Add Lpo No, Lpo required checkbox, Ipo expiry date (refer ticket issue widget.)

New Fields Added For Changes

document.tbl_documents -> fk_responsible_counter_staff_id
quotation.tbl_quotation_master -> sin_Ipo_required, vhr_lpo_number, dat_Ipo

quotation.tbl_quotation_details -> fk_package_master_id
quotation.tbl_quotation_details -> fk_service_provider_id

#6 - 11/14/2024 03:07 PM - Swarag Cm
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#7 - 11/15/2024 12:27 PM - Swarag Cm
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#8 - 11/15/2024 12:29 PM - Swarag Cm

- Status changed from Reopen Bugs to New Changes

#9 - 11/22/2024 11:08 AM - Arathy PS
NEW changes

1. Add a new labels 'ticket type' with combo box and on its right 'fare type' with a combo box(select box).
2. Hide the fare components same as sale based on admin settings.

#10 - 11/27/2024 09:41 AM - Swarag Cm
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
